공개 APIAPI 레퍼런스Domains
App 도메인 목록을 조회합니다
베타 API
/v1 API 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.
GET
/v1/apps/{appId}/domainslimit과 cursor로 오래된 도메인부터 페이지를 탐색합니다. 기본적으로 revision 및 branch 별칭을 제외하며 includeRevisions=true로 포함할 수 있습니다. ntro domains list 명령에 대응합니다.
인증
bearerAuth 인증Bearer <token>
로그인 또는 API 토큰 교환으로 받은 접속 토큰을 사용합니다. ntro_ API 토큰은 먼저 로그인 서버에서 접속 토큰으로 교환해야 합니다.
위치: header
경로 매개변수
appId*string
쿼리 매개변수
cursor?string
includeRevisions?boolean
limit?integer
응답 본문
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/apps/string/domains"{ "items": [ { "appId": "string", "certificate": { "notAfter": "string", "status": "string" }, "cnameTarget": "string", "createdAt": "string", "hostname": "string", "id": "string", "kind": "string", "retryAfter": "string", "status": "string", "verificationErrorCode": "string", "verifiedAt": "string" } ], "nextCursor": "string"}